summaryrefslogtreecommitdiff
path: root/tests/tests/alternating-dgit
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2019-08-16 10:00:50 +0100
committerSean Whitton <spwhitton@spwhitton.name>2019-08-16 10:00:50 +0100
commit0569aa2c25dc3374d9d51dfea9dc09be2fa6e510 (patch)
tree4af4ab614da0ebe6cfc858e845367994c9396a85 /tests/tests/alternating-dgit
parentfa3ba6501e1f62bda0f2f455555abe3ba1588b15 (diff)
parent690ba12221518b883a1895ca6be8243c1f39640b (diff)
Merge tag 'debian/9.7' into buster-bpo
dgit release 9.7 for unstable (sid) [dgit] [dgit distro=debian no-split] # gpg: Signature made Sun 11 Aug 2019 01:11:36 AM BST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/tests/alternating-dgit')
-rwxr-xr-xtests/tests/alternating-dgit25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/tests/alternating-dgit b/tests/tests/alternating-dgit
new file mode 100755
index 0000000..c2ada5c
--- /dev/null
+++ b/tests/tests/alternating-dgit
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+t-setup-import http-git-check
+
+cd $p
+
+git checkout -b nondgit
+t-commit 'non-dgit upload'
+t-non-dgit-upload
+
+cd ..
+
+t-dgit clone $p ./$p.2
+cd $p.2
+
+t-commit 'now a dgit upload again'
+
+t-dgit -wgf push-source
+t-refs-same-start
+t-pushed-good dgit/sid
+
+t-ok